
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Ajax实战：Ajax的关键元素 / iVAN</title>

    <meta name="description" content="Ajax实战：Ajax的关键元素 Ajax不是单一的技术,而是四种技术的集合.表2-1简要介绍了这些技术,以 及它们所扮演的角色. 表2-1 Ajax的关键元素 JavaScript JavaScript是通用的脚本语言,用来嵌入在某种应用之中. Web浏览器中嵌入的JavaScript解释器允许通过程序与浏览器的很多内建功能进 行交互.Ajax应用程序是使用JavaScript编写的 CSS(层叠样式表) CSS为Web页面元素提供了一种可重用的可视化样式的定义方法 .它提供了简单而又强大的方法,以一致的方式定义和使用可视化样">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Ajax实战：Ajax的关键元素</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Ajax不是单一的技术，而是四种技术的集合。表2-1简要介绍了这些技术，以 及它们所扮演的角色。</p>
<p>表2-1　Ajax的关键元素</p>
<table>
<tbody>
<tr>
<td>JavaScript</td>
<td>JavaScript是通用的脚本语言，用来嵌入在某种应用之中。 Web浏览器中嵌入的JavaScript解释器允许通过程序与浏览器的很多内建功能进 行交互。Ajax应用程序是使用JavaScript编写的</td>
</tr>
<tr>
<td>CSS（层叠样式表）</td>
<td>CSS为Web页面元素提供了一种可重用的可视化样式的定义方法 。它提供了简单而又强大的方法，以一致的方式定义和使用可视化样式。在Ajax 应用中，用户界面的样式可以通过CSS独立修改</td>
</tr>
</tbody>
</table>
<p>（续）</p>
<table>
<tbody>
<tr>
<td>DOM（文档对象模型）</td>
<td>DOM以一组可以使用JavaScript操作的可编程对象展现出Web页 面的结构。通过使用脚本修改DOM，Ajax应用程序可以在运行时改变用户界面， 或者高效地重绘页面中的某个部分</td>
</tr>
<tr>
<td>XMLHttpRequest对象</td>
<td>XMLHttpRequest对象允许Web程序员从Web服务器以后台活动的 方式获取数据。数据格式通常是XML，但是也可以很好地支持任何基于文本的数 据格式（XMLHttpRequest这个名字取得实在是很不恰当）。尽管XMLHttpRequest 对于完成这件工作来说是最为灵活和通用的工具，但还有其他方法也可以从服务 器获取数据。我们在本章中会讨论所有的方法</td>
</tr>
</tbody>
</table>
<p>在第1章中我们看到了Ajax如何为用户提供了复杂的、运转良好的应用，改善 了用户的交互体验。JavaScript就像胶水将各个部分粘合在一起，定义应用的工 作流和业务逻辑。通过使用JavaScript操作DOM来改变和刷新用户界面，不断地 重绘和重新组织显示给用户的数据，并且处理用户基于鼠标和键盘的交互。CSS 为应用提供了一致的外观，并且为以编程方式操作DOM提供了强大的捷径。 XMLHttpRequest对象（或者类似的机制）则用来与服务器进行异步通信，在用户 工作时提交用户的请求并获取最新的数据。图2-1显示了这些技术在Ajax中是如 何配合的。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMTEwMzUxRlMtMC5qcGc=.jpg"></p>
<p>图2-1　Ajax的四个主要组件：JavaScript定义了业务规则和程序流程。应用 程序使用XMLHttp- Request对象（或类似的机制）以后台方式从服务器获得的数 据，通过DOM和CSS来改变界面的外观</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-28 00:03:04</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%94%a8%e6%88%b7/" title="用户">用户</a>, <a href="https://www.iamivan.net/tag/%e5%ba%94%e7%94%a8/" title="应用">应用</a>, <a href="https://www.iamivan.net/tag/%e5%af%b9%e8%b1%a1/" title="对象">对象</a>, <a href="https://www.iamivan.net/tag/xmlhttprequest/" title="xmlhttprequest">xmlhttprequest</a>, <a href="https://www.iamivan.net/tag/ajax/" title="ajax">ajax</a>, <a href="https://www.iamivan.net/tag/javascript/" title="javascript">javascript</a>, <a href="https://www.iamivan.net/tag/ajax%e5%85%b3%e9%94%ae%e8%af%8d/" title="ajax关键词">ajax关键词</a>, <a href="https://www.iamivan.net/tag/javascript%e5%ae%9e%e6%88%98/" title="javascript实战">javascript实战</a>, <a href="https://www.iamivan.net/tag/javascript%e7%bc%96%e7%a8%8b%e5%ae%9e%e6%88%98/" title="javascript编程实战">javascript编程实战</a>, <a href="https://www.iamivan.net/tag/dom%e4%ba%a4%e4%ba%92%e6%93%8d%e4%bd%9c/" title="DOM交互操作">DOM交互操作</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Ajax实战：Ajax的关键元素的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVNxKKz.html" rel="bookmark">实战ajax</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:实战ajax 实战ajax Ajax的原理简单来说通过XmlHttpRequest对象来向服务器发异步请求,从服务器获得数据,然后用javascript来操作DOM而更新页面. 大家都知道ajax并非一种新的技术,而是几种原有技术的结合体.它由下列技术组合而成. 1.使用CSS和XHTML来表示. 2. 使用DOM模型来交互和动态显示. 3.使用XMLHttpRequest来和服务器进行异步通信. 4.使用javascript来绑定和调用. 一.XMLHttpRequest 对象 所有现代			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MymDWvM.html" rel="bookmark">VIEW层AJAX提交表单到Controller的实体&lpar;AJAX传递序列化的输入元素&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在MVC环境中,AJAX方式添加一个对象,这个对象在Models中是一个视图模型,在前台显示时是这样的代码:   &lt;%using (Html.BeginForm())       { %&gt;     姓名:&lt;%=Html.TextBoxFor(model=&gt;model.UserName) %&gt;     Email:&lt;%=Html.TextBoxFor(model=&gt;model.Email) %&gt;     年龄:&lt;%=Html.TextBoxFor(mod			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9Mx5q7p.html" rel="bookmark">&lbrack;四天学会ajax&rsqb;学习ajax教程第一天</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ajax|教程 Ajax 由 HTML.JavaScript 技术.DHTML 和 DOM 组成,这一杰出的方法可以将笨拙的 Web 界面转化成交互性的 Ajax 应用程序.本文的作者是一位 Ajax 专家,他演示了这些技术如何协同工作 -- 从总体概述到细节的讨论 -- 使高效的 Web 开发成为现实.他还揭开了 Ajax 核心概念的神秘面纱,包括 XMLHttpRequest 对象. 五年前,如果不知道 XML,您就是一只无人重视的丑小鸭.十八个月前,Ruby 成了关注的中心,不知道 Rub			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boR27jz.html" rel="bookmark">jQuery1&period;9&period;1源码分析系列（十六）ajax之ajax框架&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				AJAX 简介 AJAX 是一种在无需重新加载整个网页的情况下,能够更新部分网页的技术. 您应当具备的基础知识 在继续学习之前,您需要对下面的知识有基本的了解: HTML / XHTML CSS JavaScript / DOM 如果您希望首先学习这些项目,请在我们的首页访问这些教程. 什么是 AJAX ? AJAX = 异步 JavaScript 和 XML. AJAX 是一种用于创建快速动态网页的技术. 通过在后台与服务器进行少量数据交换,AJAX 可以使网页实现异步更新.这意味着可以在不重			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qba09qz.html" rel="bookmark">AJAX、AJAX实例及AJAX源代码（asp）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ajax|源代码 AJAX介绍 AJAX 关键词: javascript脚本和可扩展标记语言(XML) WEB浏览器技术 开放式WEB标准 浏览器以及独立平台 更好更快的网络应用程序 XML以及HTTP请求 AJAX = 异步JavaScript和可扩展标记语言 AJAX是一种运用JavaScript和可扩展标记语言(XML),在网络浏览器和服务器之间传送或接受数据的技术. AJAX是一种浏览器技术 AJAX是一种运用于浏览器中的技术.在浏览器和服务器之间,它使用异步数据进行转换,并允许网页向服			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQPPO0z.html" rel="bookmark">Thinking in AJAX&lpar;一&rpar; &mdash;&mdash; AJAX</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				众所周知,异步交互.JavaScript脚本和XML封装数据是AJAX的三大特征.其实,在实际应用中,不需要牢牢套死这三条大律,在我看来,AJAX - X,即去掉用XML封装数据,也不失为一种好的设计思路,如果应用恰当,更显轻盈步伐和巧妙思路. 一般读取AJAX返回的XML结构的数据时使用XMLHttp的responseXML对象属性,同时,XMLHttp也提供了另外一个属性,即ResponseText,通过这个属性,XMLHttp可以接受来自服务器的文本结构的字符串信息.去掉XML的AJAX可			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd77VdM.html" rel="bookmark">AJAX、AJAX实例及AJAX源代码&lpar;asp&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				AJAX介绍 AJAX 关键词:javascript脚本和可扩展标记语言(XML) WEB浏览器技术 开放式WEB标准 浏览器以及独立平台 更好更快的网络应用程序 XML以及HTTP请求 AJAX = 异步JavaScript和可扩展标记语言AJAX是一种运用JavaScript和可扩展标记语言(XML),在网络浏览器和服务器之间传送或接受数据的技术. AJAX是一种浏览器技术AJAX是一种运用于浏览器中的技术.在浏览器和服务器之间,它使用异步数据进行转换,并允许网页向服务器索取少量信息而非整个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo7wZjb.html" rel="bookmark">零基础学习AJAX之AJAX框架&lowbar;AJAX相关</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上文(零基础学习AJAX之AJAX的简介和基础)对ajax异步请求服务器做了详细的介绍和基础应用,可以看出,ajax的一些过程是相对不变的.不必要每次发送请求都写一遍发送代码,一些ajax开发人员已经把他们的过程封装成ajax框架. 本节主要介绍ajaxLib和ajaxGold两款框架. 1.ajaxLib ajaxLib是一个非常小巧的ajax框架. 使用它首先将文件使用引入到页面中.改框架是一个直接获取XML的框架,调运函数如下: loadXMLDoc(url,callback,boolea			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5RgnDz.html" rel="bookmark">asp&period;net1&period;1放上了web按钮控件&comma;运行单击后刷新的厉害&comma;有啥法子解决&quest;查了资料&comma;似乎net2&period;0里面方法不少&period;还有就是Ajax&comma;但ajax技术听说不能被</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 asp.net1.1放上了web按钮控件,运行单击后刷新的厉害,有啥法子解决?查了资料,似乎net2.0里面方法不少.还有就是Ajax,但ajax技术听说不能被搜索引擎收入,也不大敢用?除此以为啊有啥方法了?难道只能用asp里面的方法把web按钮去掉,还成inputbutton?然后用Iframe???			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPkqMN.html" rel="bookmark" class="title">Photoshop台阶上的美女加上唯美的阳光暖褐色</a>
					<div>
						  素材图片主色为简单的绿色,调色的时候可以直接把绿色转为褐色,高光区域的黄绿色转为橙黄色,然后降低图片饱和度,再整体柔化处理即可. 原图 最终效果 1.打开素材图片,创建色相/饱和度调整图层,对全图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMydOZb.html" rel="bookmark" class="title">用PS给油光满面的暗黄照片磨皮美容</a>
					<div>
						下面要处理的照片,原图偏暗,并且偏黄.人物脸上有油光,处理起来难度较大,需要有一些耐心.处理过程主要为两个大步骤,一个是简单调色,然后对人物磨皮,以及局部的液化最后修饰一些细节部分,完成效果. 效果对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bo0BBM.html" rel="bookmark" class="title">有关禁止U盘&lpar;移动硬盘&rpar;自动播放的测试</a>
					<div>
						原来我一直推荐使用组策略来关闭自动播放,今天在论坛看到一个质疑的帖子,帖子试图说明一个观点--避免双击或插入U盘(移动硬盘)中毒的方法,仅靠组策略编辑器是无效的.需要修改相关注册键值. 对此,我小心做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWg9EM.html" rel="bookmark" class="title">用vfp动态生成数据网页（二）</a>
					<div>
						在Visual FoxPro方便的生成网页 记得我在本文开头的时候就夸下海口:方便.快速生成网页.好像时到现在一点与 Visual FoxPro &quot;不搭架&quot;,现在就让 Visual ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL81Gb.html" rel="bookmark" class="title">Oracle中如何使用BBED跳过丢失的归档</a>
					<div>
						在recover datafile的过程当中如果丢失了需要的归档将使得recover无法进行,使用bbed工具可以跳过丢失的归档进行recover datafile. 实验过程如下: SYS@ORCL ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0P460M.html" rel="bookmark" class="title">asp&period;net网站防恶意刷新的Cookies与Session解决方法</a>
					<div>
						 本文实例讲述了asp.net网站防恶意刷新的Cookies与Session解决方法,是WEB程序设计中非常实用的技巧.分享给大家供大家参考.具体实现方法如下: Session版实现方法: 1 2 3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7gBAb.html" rel="bookmark" class="title">php curl获取网页内容&lpar;IPV6下超时&rpar;的解决办法</a>
					<div>
						如果开启了IPv6,curl默认会优先解析 IPv6,在对应域名没有 IPv6 的情况下,会等待 IPv6 dns解析失败 timeout 之后才按以前的正常流程去找 IPv4   原因:在程序中我对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7DgEb.html" rel="bookmark" class="title">用PS制作独特的有趣的文字印刷壁纸</a>
					<div>
						PS设计独特的有趣的文字印刷壁纸,本教程将指导你如何用几个简单的步骤创建十分有趣而且独特的印刷墙纸.即使初学者也能创建出这种效果,再考虑添加进自己的风格,我相信你会很享受学习本教程!你将学习到如何创建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNLaQM.html" rel="bookmark" class="title">win8&period;1怎样创建本地搜索快捷方式</a>
					<div>
						  1.在win8.1桌面右击选择[新建快捷方式].   2.在键入对象位置框内,输入[%windir%explorer.exe search-ms:].   3.点击下一步,快捷方式可以命名为&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlB1LDz.html" rel="bookmark" class="title">win7文件夹搜索在哪？</a>
					<div>
						  win7文件夹搜索在哪?有的朋友表示win7系统中的文件夹搜索不见了,这是怎么回事呢?小编带来了相关的解决方法,如果你想使用文件夹搜索却找不到的话,请看下文. 找不到文件夹搜索是因为有一个服务没有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrrl8M.html" rel="bookmark" class="title">如何在java Graphics2D 画出文字的阴影黑边效果</a>
					<div>
						问题描述 如何在java Graphics2D 画出文字的阴影黑边效果 public static void setFont(String context, BufferedImage ImageNe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlYDvb.html" rel="bookmark" class="title">ORA-01821&colon; 日期格式无法识别</a>
					<div>
						问题描述 ORA-01821: 日期格式无法识别 利用闪回版本查询,查询2016-05-24 10:59:00到2016-05-24 11:04:00之间sno=100的记录版本信息 错误如图 求解q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b328Qgz.html" rel="bookmark" class="title">使用 NGINX 进行微程序缓存的好处</a>
					<div>
						[编者按]本文作者为 Owen Garrett,主要介绍使用 nginx 进行微程序缓存的好处,辅之以生动的实例.文章系国内 ITOM 管理平台 OneAPM 编译呈现. NGINX 和 NGINX  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqexkb.html" rel="bookmark" class="title">万字长文带你轻松了解LSTM全貌</a>
					<div>
						第一次接触长短期记忆神经网络(LSTM)时,我惊呆了.   原来,LSTM是神经网络的扩展,非常简单.深度学习在过去的几年里取得了许多惊人的成果,均与LSTM息息相关.因此,在本篇文章中我会用尽可能直 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7w5Pp.html" rel="bookmark" class="title">listview-怎样让上面的控件和Listview一起滑动</a>
					<div>
						问题描述 怎样让上面的控件和Listview一起滑动 一个页面上有ListView,listView上面有其他控件,怎样让上面的控件和Listview一起滑动 解决方案 方法一:listview.ad ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVN1QKz.html" rel="bookmark" class="title">Java 容器 &amp;amp&semi; 泛型：二、ArrayList 、LinkedList和Vector比较</a>
					<div>
						一.List回顾 序列(List),有序的Collection,正如它的名字一样,是一个有序的元素列表.确切的讲,列表通常允许满足 e1.equals(e2) 的元素对 e1 和 e2,并且如果列表本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvm558b.html" rel="bookmark" class="title">fortran语言，初次接触fortran</a>
					<div>
						问题描述 fortran语言,初次接触fortran DIMENSION PI(20) DATA PI/12*1./ 这两句是什么意思?谢谢,初次接触fortran语言....... 解决方案 定义一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKaJ6b.html" rel="bookmark" class="title">IIS7 应用程序池详细解析</a>
					<div>
						在IIS 7中,添加一个应用程序或者单独的网站,默认会自动新建一个对应的&quot;应用程序池&quot;,这也是IIS 7的一大特色. 在早期的IIS 5.0中,只有一个应用程序池的情况下,很容易造 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDe53Lb.html" rel="bookmark" class="title">改造 Maven 项目支持 Kotlin 语法</a>
					<div>
						使用 Maven---原文地址 插件与版本 kotlin-maven-plugin 用于编译 Kotlin 源代码与模块,目前只支持 Marven V3. 通过 kotlin.version 属性定义 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAK1wp.html" rel="bookmark" class="title">不会写代码，一分钟免费建立个人网站</a>
					<div>
						作为一名IT从业人员,楼主一直211.html&quot;&gt;觉得没有一个自己的个人网站是很没面子的事情.不论是写写博文,记录成长体会,发布一些个人作品,或者用很炫酷的方式介绍下自己,都是极好的. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRDB9b.html" rel="bookmark" class="title">判断页面是否是微信打开的</a>
					<div>
						原文:判断页面是否是微信打开的 今天遇到一问题,让一个页面在微信上打开,PC上不能直接打开,网上找了许久,没得到满意的答案,而且千篇一律. &lt;?php $user_agent = $_SERVE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQB2LQM.html" rel="bookmark" class="title">db2导出&period;del数据文件，请问如何将数据文件中的回车换行处理掉，使每条数据只占一行。</a>
					<div>
						问题描述 db2导出.del数据文件,请问如何将数据文件中的回车换行处理掉,使每条数据只占一行. db2导出.del数据文件,文件中正常行分隔符为n,由于数据中某些字段的数据中含有回车换行,导致导出的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKJLqb.html" rel="bookmark" class="title">从零开始搭建论坛（二）：Web服务器网关接口</a>
					<div>
						[引自selfboot的博客]在 从零开始搭建论坛(一):Web服务器与Web框架 中我们弄清楚了Web 服务器.Web 应用程序.Web框架的概念.对于 Python 来说,越来越多的 Web 框架 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bod3kdM.html" rel="bookmark" class="title">asp&period;net 导入Excel  vs2010调试可以导入，发布到IIS就抛错   急求大神</a>
					<div>
						问题描述 本地和iis都是同一台机器publicstaticSystem.Data.DataSetExcelSqlConnection(stringfilepath,stringtableName,s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrq0Y6b.html" rel="bookmark" class="title">socket通信-设备连接服务器&comma;从代码上看是同时产生连个socket进行通信吗？有何影响？</a>
					<div>
						问题描述 设备连接服务器,从代码上看是同时产生连个socket进行通信吗?有何影响? 设备连接服务器端有两个端口,是同时建立socket通信吗?两个socket连接同时产生吗?如果其中一个端口发生阻塞 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgxO9M.html" rel="bookmark" class="title">IT老兵的3&period;0版人生，助力致远互联新启航</a>
					<div>
						&quot;工作因协同更美好,组织因协同更高效,商业因协同更文明,世界因协同更精彩!新协同.新价值.新致远,我来了!&quot;2017年3月20日,在致远互联新三年战略发布会上,前用友股份执行总裁. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnR9LKp.html" rel="bookmark" class="title">ASP&period;NET中XML转JSON的方法</a>
					<div>
						原文:ASP.NET中XML转JSON的方法 许多应用程序都将数据存储为XML的格式,而且会将数据以JSON的格式发送到客户端以做进一步处理.要实现这一点,它们必须将XML格式转换为JSON格式.   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnamvM.html" rel="bookmark" class="title">aix &sol;dev目录下hdisk 和 rhdisk的区别（asm必须使用字符设备）</a>
					<div>
						简单的解释:hdisk是块设备,而rhdisk是字符设备. 系统中能够随机(不需要按顺序)访问固定大小数据片(chunks)的设备被称作块设备,这些数据片就称作块.最常见的块设备是硬盘,除此以外,还有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba66dgM.html" rel="bookmark" class="title">ASP下的两个防止SQL注入式攻击的Function&lowbar;应用技巧</a>
					<div>
						用于防止sql注入攻击的 函数,大家可以直接用了,不过大家光会用不行,要增强安全意识 复制代码 代码如下: '========================== '过滤提交表单中的SQL '==== ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Nma3p.html" rel="bookmark" class="title">JavaScript中的apply和call函数详解&lowbar;jquery</a>
					<div>
						第一次翻译技术文章,见笑了! 翻译原文: Function.apply and Function.call in JavaScript 第一段略. 每个JavaScript函数都会有很多附属的(att ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
